Spaces method and path for this operation:
delete /s/{space_id}/api/synthetics/private_locations/{id}
Refer to Spaces for more information.
You must have all privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges.
A location cannot be deleted if it has associated monitors in use in any space. You must delete all monitors associated with the location before deleting the location.
[Required authorization] Route required privileges: uptime-read AND private-location-write AND uptime-write.
DELETE
/api/synthetics/private_locations/{id}
curl
curl \
-X DELETE "${KIBANA_URL}/api/synthetics/private_locations/location-id" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "kbn-xsrf: true"
DELETE kbn://api/synthetics/private_locations/location-id